import { createSvgIcon } from '~/utils/svg-utils'

const QuickSearch = createSvgIcon(
  'QuickSearch',
  {
    viewBox: '0 0 16 16',
    width: 16,
    height: 16,
    fill: 'currentColor',
    fillRule: 'evenodd',
    strokeLinejoin: 'round',
    strokeMiterlimit: 2,
    clipRule: 'evenodd'
  },
  <>
    <path fill="none" d="M0 0h15.36v15.348H0z" />
    <path d="M13.848 1.938a.683.683 0 0 1-.683.683H10a.684.684 0 0 1 0-1.367h3.165c.377 0 .683.307.683.684ZM14.787 4.155a.684.684 0 0 1-.684.683h-2.87a.683.683 0 0 1 0-1.366h2.87c.377 0 .684.306.684.683ZM14.787 6.372a.685.685 0 0 1-.684.684h-2.515a.684.684 0 0 1 0-1.367h2.515c.377 0 .684.306.684.683Z" />
    <path d="M7.772 10.176a4.754 4.754 0 0 1-2.411.654A4.794 4.794 0 0 1 .573 6.042a4.794 4.794 0 0 1 4.788-4.788 4.794 4.794 0 0 1 4.788 4.788c0 .894-.248 1.731-.677 2.448.033.026 3.583 3.544 3.583 3.544.472.469.521 1.193.052 1.665-.468.472-1.277.514-1.749.046 0 0-3.556-3.531-3.586-3.569ZM2.196 6.042c0 1.83 1.42 3.318 3.165 3.318s3.165-1.488 3.165-3.318-1.42-3.319-3.165-3.319-3.165 1.489-3.165 3.319Z" />
  </>
  // <>
  //   <path fill="none" d="M0 0h15.36v15.348H0z" />
  //   <path d="M13.986 1.563a.562.562 0 0 1-.561.561H9.772a.562.562 0 0 1 0-1.123h3.653c.309 0 .561.252.561.562ZM14.974 3.493a.56.56 0 0 1-.561.561h-3.646a.56.56 0 1 1 0-1.122h3.646a.56.56 0 0 1 .561.561ZM14.974 5.424a.561.561 0 0 1-.561.561h-2.967a.561.561 0 0 1 0-1.123h2.967c.31 0 .561.252.561.562Z" />
  //   <path
  //     fillRule="nonzero"
  //     d="M1.137 6.045c0-2.194 1.753-3.98 3.907-3.98S8.95 3.851 8.95 6.045c0 2.195-1.752 3.981-3.906 3.981S1.137 8.24 1.137 6.045Zm11.952 6.804-3.901-3.9-.015-.012c.576-.82.915-1.816.915-2.892a5.05 5.05 0 0 0-5.044-5.044A5.05 5.05 0 0 0 0 6.045a5.05 5.05 0 0 0 5.044 5.044 5.016 5.016 0 0 0 2.891-.914c.004.004.007.01.012.014l3.901 3.901a.873.873 0 0 0 .62.257.879.879 0 0 0 .621-1.498Z"
  //   />
  // </>
)

export default QuickSearch
